| ehmmalign

## Function

Align sequences with an HMM

## Description

**************** EDIT HERE ****************

## Algorithm

**************** EDIT HERE ****************

## Usage

Here is a sample session with ehmmalign

    % ehmmalign ../ehmmbuild-ex-keep/globin.hmm globins630.fa globins630.ali
    Align sequences with an HMM

    Alignment saved in file globins630.ali

Go to the input files for this example
Go to the output files for this example

## Command line arguments

       Standard (Mandatory) qualifiers:
      [-hmmfile]           infile     HMM file
      [-sequences]         seqset     Sequence set USA
      [-outfile]           outfile    Output file name

       Additional (Optional) qualifiers: (none)
       Advanced (Unprompted) qualifiers:
       -mapalifile         infile     Map alignment
       -withalifile        infile     Heuristic alignment
       -matchonly          boolean    Only show match state alignment symbols

       Associated qualifiers:

       "-sequences" associated qualifiers
       -sbegin2            integer    Start of each sequence to be used
       -send2              integer    End of each sequence to be used
       -sreverse2          boolean    Reverse (if DNA)
       -sask2              boolean    Ask for begin/end/reverse
       -snucleotide2       boolean    Sequence is nucleotide
       -sprotein2          boolean    Sequence is protein
       -slower2            boolean    Make lower case
       -supper2            boolean    Make upper case
       -sformat2           string     Input sequence format
       -sdbname2           string     Database name
       -sid2               string     Entryname
       -ufo2               string     UFO features
       -fformat2           string     Features format
       -fopenfile2         string     Features file name

       "-outfile" associated qualifiers
       -odirectory3        string     Output directory

       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write standard output
       -filter             boolean    Read standard input, write standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report deaths

Standard (Mandatory) qualifiers | Allowed values | Default
--- | --- | ---
[-hmmfile] (Parameter 1) | HMM file | Input file | Required
[-sequences] (Parameter 2) | Sequence set USA | Readable set of sequences | Required
[-outfile] (Parameter 3) | Output file name | Output file | <sequence>.ehmmalign
Additional (Optional) qualifiers | Allowed values | Default
(none)
Advanced (Unprompted) qualifiers | Allowed values | Default
-mapalifile | Map alignment | Input file | Required
-withalifile | Heuristic alignment | Input file | Required
-matchonly | Only show match state alignment symbols | Boolean value Yes/No | No

## Input file format

ehmmalign reads any normal sequence USAs.

### Input files for usage example

### File: ../ehmmbuild-ex-keep/globin.hmm

    HMMER2.0
    NAME  globins50
    LENG  146
    ALPH  Amino
    RF    no
    CS    no
    MAP   yes
    COM   ehmmbuild ../../data/hmm/globins50.msf globin.hmm -auto
    NSEQ  50
    DATE  Fri Feb 18 09:56:43 2005
    CKSUM 5854
    XT      -8455     -4      0      *  -8455     -4      0      *
    NULT      -4  -8455
    NULE     595  -1558     85    338   -294    453  -1158    197    249    902  -1085   -142    -21   -313     45    531    201    384  -1998   -644
    HMM        A      C      D      E      F      G      H      I      K      L      M      N      P      Q      R      S      T      V      W      Y
             m->m   m->i   m->d   i->m   i->i   d->m   d->d   b->m   m->e
              -93      *  -4000
         1  -1967  -2271  -4498  -4217  -3055   1639  -3307  -2518  -3920  -2945   2068  -3352    193  -3569  -3796    257  -2222   2801  -3514  -3205     1
         -   -149   -500    233     43   -381    399    106   -626    210   -466   -720    275    394     45     96    359    117   -369   -294   -249
         -     -9  -9065 -10107   -894  -1115   -701  -1378  -1093  -8180
         2  -1670  -1776    -76  -2279   1025  -3037   3194    232    -52   1914   -955  -2245  -3102  -1004  -2223  -2065  -1610  -1207  -2178  -1775     2
         -   -149   -500    233     43   -381    399    106   -626    210   -466   -720    275    394     45     96    359    117   -369   -294   -249
         -     -9  -9065 -10107   -894  -1115   -701  -1378  -8273  -8175
         3  -1713  -1550  -3992  -3365    801  -3249  -2111  -1027  -2974    762   -736  -2876  -3301  -2606  -2796   1725   1747    269   3309  -1618     3
         -   -149   -500    233     43   -381    399    106   -626    210   -466   -720    275    394     45     96    359    117   -369   -294   -249
         -     -9  -9065 -10107   -894  -1115   -701  -1378  -8273  -8170
         4   1140  -2941   1606    792  -3253  -2463  -1127   -278    -63  -2954  -2034  -1102   -473   -671  -1220    572   1661  -2558  -3131  -2454     4
         -   -149   -500    233     43   -381    399    106   -626    210   -466   -720    275    394     45     96    359    117   -369   -294   -249
         -     -9  -9065 -10107   -894  -1115   -701  -1378  -8273  -8165
         5   1794  -2944    -65   -235  -3261    829  -1114   -284   1649  -2958  -2034   -134  -1104   -656  -1204     60   -589  -2564  -3130  -2449     5
         -   -149   -500    233     43   -381    399    106   -626    210   -466   -720    275    394     45     96    359    117   -369   -294   -249
         -     -9  -9065 -10107   -894  -1115   -701  -1378  -8273  -8160
         6  -1748  -3220   1958   2253  -3519    172  -1355  -3271   -993   -829  -2323  -1243  -2761   1731  -1518  -1165  -1696   -335  -3410  -2713     6
         -   -149   -500    233     43   -381    399    106   -626    210   -466   -720    275    394     45     96    359    117   -369   -294   -249
         -     -9  -9065 -10107   -894  -1115   -701  -1378  -8273  -8155
         7   -173  -2945   -205   2098  -3264  -2452  -1111   -302   1817  -2960  -2035    433  -2545   -652   -261    -62  -1417  -2566   2430  -2449     7
         -   -149   -500    233     43   -381    399    106   -626    210   -466   -720    275    394     45     96    359    117   -369   -294   -249
         -     -9  -9065 -10107   -894  -1115   -701  -1378  -8273  -8150
         8    933  -2910  -1344   -795  -3214  -1181  -1120  -2952   2227   -837  -2004   -157  -2553   1184   -129    241    381   -316  -3104  -2432     8
         -   -149   -500    233     43   -381    399    106   -626    210   -466   -720    275    394     45     96    359    117   -369   -294   -249
         -     -9  -9065 -10107   -894  -1115   -701  -1378  -8273  -8145
         9   1054   1483  -2717  -2142  -1752  -2967  -1753   -661   -506    965    533   1919  -3033    494  -2159    300   -763    120  -2182  -1788     9
         -   -149   -500    233     43   -381    399    106   -626    210   -466   -720    275    394     45     96    359    117   -369   -294   -249
         -     -9  -9065 -10107   -894  -1115   -701  -1378  -8273  -8140
        10    475   -184  -3984   -927  -1458  -3217  -2087    964  -2953    185   -705  -2852     14  -2583  -2766  -2300   -535   2595   1896  -1619    10
         -   -149   -500    233     43   -381    399    106   -626    210   -466   -720    275    394     45     96    359    117   -369   -294   -249
         -     -9  -9065 -10107   -894  -1115   -701  -1378  -8273  -8134
        11   -171  -2034  -2133  -1572  -2075  -2788  -1524   1191   1414    546  -1206    859  -2865    894  -1789    -14   -603   1034  -2415  -1962    11
         -   -149   -500    233     43   -381    399    106   -626    210   -466   -720    275    394     45     96    359    117   -369   -294   -249
         -     -9  -9065 -10107   -894  -1115   -701  -1378  -8273  -8129

      [Part of this file has been deleted for brevity]

         -   -149   -500    233     43   -381    399    106   -626    210   -466   -720    275    394     45     96    359    117   -369   -294   -249
         -    -13  -9069 -10111   -894  -1115   -701  -1378  -8273  -7331
       131   1046  -2920    936    659  -3228  -2456  -1116  -1039    363  -2931   1609   -673  -2549   2249  -1206   -311   -848    236  -3111  -2436   131
         -   -149   -500    233     43   -381    399    106   -626    210   -466   -720    275    394     45     96    359    117   -369   -294   -249
         -    -13  -9069 -10111   -894  -1115   -701  -1378  -8273  -7322
       132   1525  -2380  -1743  -1189  -2505  -2643  -1343    -80   2077  -2311  -1534   -729  -2731    501  -1500   -603   -889   1459  -2705  -2176   132
         -   -149   -500    233     43   -381    399    106   -626    210   -466   -720    275    394     45     96    359    117   -369   -294   -249
         -    -13  -9069 -10111   -894  -1115   -701  -1378  -8273  -7313
       133    738  -1513  -3848  -3222   -198    361  -2054    325    428   1007   -714  -2784  -3243  -2505  -2708    324  -1602   1238  -1968   1351   133
         -   -149   -500    233     43   -381    399    106   -626    210   -466   -720    275    394     45     96    359    117   -369   -294   -249
         -    -13  -9069 -10111   -894  -1115   -701  -1378  -8273  -7304
       134    987   1437    598    -22    375   -425  -1546   -562  -1482  -1887    629    128  -2881  -1372  -1826   -262    958   1290  -2386  -1941   134
         -   -149   -500    233     43   -381    399    106   -626    210   -466   -720    275    394     45     96    359    117   -369   -294   -249
         -    -13  -9069 -10111   -894  -1115   -701  -1378  -8273  -7295
       135   1231  -2587  -1541    216  -2769    193  -1233  -2428    -54    355  -1715   -467  -2642   -839   -418    386  -1448   1716  -2861  -2275   135
         -   -149   -500    233     43   -381    399    106   -626    210   -466   -720    275    394     45     96    359    117   -369   -294   -249
         -    -13  -9069 -10111   -894  -1115   -701  -1378  -8273  -7285
       136    606  -2680    165    660  -2889    865  -1213  -2564    326   1588  -1802  -1227  -2627   -803  -1338  -1459   -507     11  -2936  -2329   136
         -   -149   -500    233     43   -381    399    106   -626    210   -466   -720    275    394     45     96    359    117   -369   -294   -249
         -    -13  -9069 -10111   -894  -1115   -701  -1378  -8273  -7276
       137    804  -1523  -4031  -3398  -1482  -3248  -2124    348  -2998   1327   -725  -2891  -3297  -2625  -2804  -1588   1321   1922   1901  -1649   137
         -   -149   -500    233     43   -381    399    106   -626    210   -466   -720    275    394     45     96    359    117   -369   -294   -249
         -    -13  -9069 -10111   -894  -1115   -701  -1378  -8273  -7267
       138   1808  -1941  -2321    901    973   -408  -1613  -1543  -1607  -1831   1197  -1869  -2928  -1483  -1921    869    632     -3  -2347  -1916   138
         -   -149   -500    233     43   -381    399    106   -626    210   -466   -720    275    394     45     96    359    117   -369   -294   -249
         -    -13  -9069 -10111   -894  -1115   -701  -1378  -8273  -7257
       139   1340  -2950   -394    203  -3271  -2451   1896  -1633   1977  -2966  -2040   1016  -2545   -650    779    -62  -1417  -2572  -3134  -2451   139
         -   -149   -500    233     43   -381    399    106   -626    210   -466   -720    275    394     45     96    359    117   -369   -294   -249
         -    -13  -9069 -10111   -894  -1115   -701  -1378  -8273  -7248
       140   1476  -2348  -1739    120  -2460  -2637  -1336    497    345  -2272   1946    710  -2722  -1006  -1512   -916    102  -1854  -2672   2397   140
         -   -149   -500    233     43   -381    399    106   -626    210   -466   -720    275    394     45     96    359    117   -369   -294   -249
         -    -14  -9069 -10111   -894  -1115   -701  -1378  -8273  -7238
       141  -1642  -1910    588  -1926    393  -2933  -1677    165   1129   1319  -1086  -1997  -3002  -1605   1807  -1932  -1580  -1356  -2286   1485   141
         -   -149   -500    233     43   -381    399    106   -626    210   -466   -720    275    394     45     96    359    117   -369   -294   -249
         -    -15  -8608  -9650   -894  -1115   -701  -1378  -8273  -7229
       142   1542   1691    488   -582  -2626   -279   -862    506   1171  -2375   -136   -872  -2282   -440    468    312  -1114  -1970  -2642  -2022   142
         -   -149   -500    233     43   -381    399    106   -626    210   -466   -720    275    394     45     96    359    117   -369   -294   -249
         -    -16  -8505  -9547   -894  -1115   -701  -1378  -8273  -7219
       143   2278  -2091  -2495  -1900  -2272  -2771   3583    522  -1069  -2122  -1438  -1912  -2941  -1387    524  -1886  -1664  -1689  -2531  -2110   143
         -   -149   -500    233     43   -381    399    106   -626    210   -466   -720    275    394     45     96    359    117   -369   -294   -249
         -    -16  -8405  -9447   -894  -1115   -701  -1378  -8273  -7209
       144   1313  -1624  -1590  -1030    784    176  -1023  -1263   1746    -28   1368  -1204  -2374   -799   -322   -323  -1039  -1096  -1996  -1532   144
         -   -149   -500    233     43   -381    399    106   -626    210   -466   -720    275    394     45     96    359    117   -369   -294   -249
         -    -16  -8405  -9447   -894  -1115   -701  -1378  -8273  -7200
       145  -2395  -2460  -3209  -2720   1335  -3543  -1417  -2096   1716     53  -1668    854  -3574  -2202  -2474  -2599  -2321  -2018  -1148   3600   145
         -   -149   -500    233     43   -381    399    106   -626    210   -466   -720    275    394     45     96    359    117   -369   -294   -249
         -    -17  -8323  -9365   -894  -1115   -701  -1378  -8273  -7190
       146  -1328  -1570  -2202  -1667   1530    183   3522  -1184  -1501  -1451   -788  -1688  -2680  -1341  -1757    347    444  -1057  -1556   1992   146
         -      *      *      *      *      *      *      *      *      *      *      *      *      *      *      *      *      *      *      *      *
         -      *      *      *      *      *      *      *  -8273      0
    //

### File: globins630.fa

    > BAHG_VITSP
    MLDQQTINIIKATVPVLKEHGVTITTTFYKNLFAKHPEVRPLFDMGRQESLEQPKALAM
    TVLAAAQNIENLPAILPAVKKIAVKHCQAGVAAAHYPIVGQELLGAIKEVLGDAATDDIL
    DAWGKAYGVIADVfiqveadLYAQAVE
    > GLB1_ANABR
    PSVQGAAAQLTADVKKDLRDSWKVIGSDKKGNGVALMTTLFADNQETIGYFKRLGNVSQ
    GMANDKLRGHSITLMYALQNFIDQLDNTDDLVCVVEKFAVNHITRKISAAEFGKINGPIK
    KVLASKNFGDKYANAWAKLVAVVQAAL
    > GLB1_ARTSX
    ERVDPITGLSGLEKNAILDTWGKVRGNLQEVGKATFGKLFAAHPEYQQMFRFFQGVQLA
    FLVQSPKFAAHTQRVVSALDQTLLALNRPSDQFVYMIKELGLDHINRGTDRSFVEYLKES
    LGDSVDEFTVQSFGEVIVNFLNEGLRQA
    > GLB1_CALSO
    VSANDIKNVQDTWGKLYDQWDAVHAsKFYNKLFKDSEDISEAFVKAGTGSGIAMKRQAL
    VFGAILQEFVANLNDPTALTLKIKGLCATHKTRGITNMELFAFALADLVAYMGTtISFTA
    AQKASWTAVNDVILHQMSSYFATVA
    > GLB1_CHITH
    GPSGDQIAAAKASWNTVKNNQVDILYAVFKANPDIQTAFSQFAGKDLDSIKGTPDFSKH
    AGRVVGLFSEVMDLLGNDANTPTILAKAKDFGKSHKSRASPAQLDNFRKSLVVYLKGATK
    WDSAVESSWAPVLDFVFSTLKNEL
    > GLB1_GLYDI
    GLSAAQRQVIAATWKDIAGADNGAGVGKDCLIKFLSAHPQMAAVFGFSGASDPGVAALG
    AKVLAQIGVAVSHLGDEGKMVAQMKAVGVRHKGYGNKHIKAQYFEPLGASLLSAMEHRIG
    GKMNAAAKDAWAAAYADISGALISGLQS
    > GLB1_LUMTE
    ECLVTEGLKVKLQWASAFGHAHQRVAFGLELwkgILREHPEIKAPFSRVRGDNIYSPQF
    GAHSQRVLSGLDITISMLDTPDmLAAQLAHLKVQHVERNLKPEFFDIFLKHLLHVLGDRL
    GTHFDFGAWHDCVDQIIDGIKDI
    > GLB1_MORMR
    PIVDSGSVSPLSDAEKNKIRAAWDLVYKDYEKTGVDILVKFFTGTPAAQAFFPKFKGLT
    TADDLKQSSDVRWHAERIINAVNDAVKSMDDTEKMSMKLKELSIKHAQSFYVDRQYFKVL
    AGIIADTTAPGDAGFEKLMSMICILLSSAY
    > GLB1_PARCH
    GGTLAIQSHGDLTLAQKKIVRKTWHQLMRNKTSFVTDLFIRIFAYDPAAQNKFPQMAGM
    SASQLRSSRQMQAHAIRVSSIMSEYIEELDSDILPELLATLARTHDLNKVGPAHYDLFAK
    VLMEALQAELGSDFNQKTRDSWAKAFSIVQAVLLVKHG
    > GLB1_PETMA
    PIVDSGSVPALTAAEKATIRTAWAPVYAKYQSTGVDILIKFFTSNPAAQAFFPKFQGLT
    SADQLKKSMDVRWHAERIINAVNDAVVAMDDTEKMSLKLRELSGKHAKSFQVDPQYFKVL
    AAVIVDTVLPGDAGLEKLMSMICILLRSSY
    > GLB1_PHESE
    DCNTLKRFKVKHQWQQVFSGEhHRTEFSLHFWKEFLHDHPDLVSLFKRVQGENIYSPEF
    QAHGIRVLAGLDSVIGVLDEDDTFTVQLAHLKAQHTERGTKPEYFDLFGTQLFDILGDKL
    GTHFDQAAWRDCYAVIAAGIKP
    > GLB1_SCAIN
    PSVYDAAAQLTADVKKDLRDSWKVIGSDKKGNGVALMTTLFADNQETIGYFKRLGNVSQ
    GMANDKLRGHSITLMYALQNFIDQLDNPDDLVCVVEKFAVNHITRKISAAEFGKINGPIK
    KVLASKNFGDKYANAWAKLVAVVQAAL
    > GLB1_TYLHE
    TDCGILQRIKVKQQWAQVYSVGESRTDFAIDVFNNFFRTNPDRSLFNRVNGDNVYSPEF

      [Part of this file has been deleted for brevity]

    GLSDAEWQLVLNVWGKVEADLAGHGQEVLIRLFHTHPETLEKFDKFKHLKSEDEMKASE
    DLKKHGNTVLTALGAILKKKGHHEAEIKPLAQSHATKHKIPVKYLEFISEAIIHVLHSKH
    PGDFGADAQAAMSKALELFRNDIAAQYKELGFQG
    > MYG_ROUAE
    GLSDGEWQLVLNVWGKVEADIPGHGQEVLIRLFKGHPETLEKFDKFKHLKSEDEMKASE
    DLKKHGATVLTALGGILKKKGQHEAQLKPLAQSHATKHKIPVKYLEFISEVIIQVLQSKH
    PGDFGADAQGAMGKALELFRNDIAAKYKELGFQG
    > MYG_SAISC
    GLSDGEWQLVLNIWGKVEADIPSHGQEVLISLFKGHPETLEKFDKFKHLKSEDEMKASE
    ELKKHGTTVLTALGGILKKKGQHEAELKPLAQSHATKHKIPVKYLELISDAIVHVLQKKH
    PGDFGADAQGAMKKALELFRNDMAAKYKELGFQG
    > MYG_SHEEP
    GLSDGEWQLVLNAWGKVEADVAGHGQEVLIRLFTGHPETLEKFDKFKHLKTEAEMKASE
    DLKKHGNTVLTALGGILKKKGHHEAEVKHLAESHANKHKIPVKYLEFISDAIIHVLHAKH
    PSNFGADAQGAMSKALELFRNDMAAEYKVLGFQG
    > MYG_SPAEH
    GLSDGEWQLVLNVWGKVEGDLAGHGQEVLIKLFKNHPETLEKFDKFKHLKSEDEMKGSE
    DLKKHGNTVLTALGGILKKKGQHAAEIQPLAQSHATKHKIPIKYLEFISEAIIQVLQSKH
    PGDFGADAQGAMSKALELFRNDIAAKYKELGFQG
    > MYG_TACAC
    GLSDGEWQLVLKVWGKVETDITGHGQDVLIRLFKTHPETLEKFDKFKHLKTEDEMKASA
    DLKKHGGVVLTALGSILKKKGQHEAELKPLAQSHATKHKISIKFLEFISEAIIHVLQSKH
    SADFGADAQAAMGKALELFRNDMATKYKEFGFQG
    > MYG_THUAL
    ADFDAVLKCWGPVEADYTTMGGLVLTRLFKEHPETQKLFPKFAGIAQADIAGNAAISAH
    GATVLKKLGELLKAKGSHAAILKPLANSHATKHKIPINNFKLISEVLVKVMHEKAGLDAG
    GQTALRNVMGIIIADLEANYKELGFSG
    > MYG_TUPGL
    GLSDGEWQLVLNVWGKVEADVAGHGQEVLIRLFKGHPETLEKFDKFKHLKTEDEMKASE
    DLKKHGNTVLSALGGILKKKGQHEAEIKPLAQSHATKHKIPVKYLEFISEAIIQVLQSKH
    PGDFGADAQAAMSKALELFRNDIAAKYKELGFQG
    > MYG_TURTR
    GLSDGEWQLVLNVWGKVEADLAGHGQDVLIRLFKGHPETLEKFDKFKHLKTEADMKASE
    DLKKHGNTVLTALGAILKKKGHHDAELKPLAQSHATKHKIPIKYLEFISEAIIHVLHSRH
    PAEFGADAQGAMNKALELFRKDIAAKYKELGFHG
    > MYG_VARVA
    GLSDEEWKKVVDIWGKVEPDLPSHGQEVIIRMFQNHPETQDRFAKFKNLKTLDEMKNSE
    DLKKHGTTVLTALGRILKQKGHHEAEIAPLAQTHANTHKIPIKYLEFICEVIVGVIAEKH
    SADFGADSQEAMRKALELFRNDMASRYKELGFQG
    > MYG_VULCH
    GLSDGEWQLVLNIWGKVETDLAGHGQEVLIRLFKNHPETLDKFDKFKHLKTEDEMKGSE
    DLKKHGNTVLTALGGILKKKGHHEAELKPLAQSHATKHKIPVKYLEFISDAIIQVLQSKH
    SGDFHADTEAAMKKALELFRNDIAAKYKELGFQG
    > MYG_ZALCA
    GLSDGEWQLVLNIWGKVEADLVGHGQEVLIRLFKGHPETLEKFDKFKHLKSEDEMKRSE
    DLKKHGKTVLTALGGILKKKGHHDAELKPLAQSHATKHKIPIKYLEFISEAIIHVLQSKH
    PGDFGADTHAAMKKALELFRNDIAAKYRELGFQG
    > MYG_ZIPCA
    GLSEAEWQLVLHVWAKVEADLSGHGQEILIRLFKGHPETLEKFDKFKHLKSEAEMKASE
    DLKKHGHTVLTALGGILKKKGHHEAELKPLAQSHATKHKIPIKYLEFISDAIIHVLHSRH
    PSDFGADAQAAMTKALELFRKDIAAKYKELGFHG

## Output file format

ehmmalign outputs a graph to the specified graphics device. outputs a report format file. The default format is ...

### Output files for usage example

### File: globins630.ali

    #=AU HMMER 2.1.1
    #=SQ BAHG_VITSP 1.0000 - - 0..0::0 -
    #=SQ GLB1_ANABR 1.0000 - - 0..0::0 -
    #=SQ GLB1_ARTSX 1.0000 - - 0..0::0 -
    #=SQ GLB1_CALSO 1.0000 - - 0..0::0 -
    #=SQ GLB1_CHITH 1.0000 - - 0..0::0 -
    #=SQ GLB1_GLYDI 1.0000 - - 0..0::0 -
    #=SQ GLB1_LUMTE 1.0000 - - 0..0::0 -
    #=SQ GLB1_MORMR 1.0000 - - 0..0::0 -
    #=SQ GLB1_PARCH 1.0000 - - 0..0::0 -
    #=SQ GLB1_PETMA 1.0000 - - 0..0::0 -
    #=SQ GLB1_PHESE 1.0000 - - 0..0::0 -
    #=SQ GLB1_SCAIN 1.0000 - - 0..0::0 -
    #=SQ GLB1_TYLHE 1.0000 - - 0..0::0 -
    #=SQ GLB2_ANATR 1.0000 - - 0..0::0 -
    #=SQ GLB2_CALSO 1.0000 - - 0..0::0 -
    #=SQ GLB2_CHITH 1.0000 - - 0..0::0 -
    #=SQ GLB2_LUMTE 1.0000 - - 0..0::0 -
    #=SQ GLB2_MORMR 1.0000 - - 0..0::0 -
    #=SQ GLB2_TYLHE 1.0000 - - 0..0::0 -
    #=SQ GLB3_CHITH 1.0000 - - 0..0::0 -
    #=SQ GLB3_CHITP 1.0000 - - 0..0::0 -
    #=SQ GLB3_LAMSP 1.0000 - - 0..0::0 -
    #=SQ GLB3_MORMR 1.0000 - - 0..0::0 -
    #=SQ GLB3_MYXGL 1.0000 - - 0..0::0 -
    #=SQ GLB3_PETMA 1.0000 - - 0..0::0 -
    #=SQ GLB3_TYLHE 1.0000 - - 0..0::0 -
    #=SQ GLB4_CHITH 1.0000 - - 0..0::0 -
    #=SQ GLB4_GLYDI 1.0000 - - 0..0::0 -
    #=SQ GLB4_LUMTE 1.0000 - - 0..0::0 -
    #=SQ GLB4_TYLHE 1.0000 - - 0..0::0 -
    #=SQ GLB5_PETMA 1.0000 - - 0..0::0 -
    #=SQ GLB6_CHITH 1.0000 - - 0..0::0 -
    #=SQ GLB7_ARTSX 1.0000 - - 0..0::0 -
    #=SQ GLB7_CHITH 1.0000 - - 0..0::0 -
    #=SQ GLB8_CHITH 1.0000 - - 0..0::0 -
    #=SQ GLB9_CHITH 1.0000 - - 0..0::0 -
    #=SQ GLBA_ANATR 1.0000 - - 0..0::0 -
    #=SQ GLBA_SCAIN 1.0000 - - 0..0::0 -
    #=SQ GLBB_ANATR 1.0000 - - 0..0::0 -
    #=SQ GLBB_SCAIN 1.0000 - - 0..0::0 -
    #=SQ GLBC_CAUAR 1.0000 - - 0..0::0 -
    #=SQ GLBC_CHITH 1.0000 - - 0..0::0 -
    #=SQ GLBD_CAUAR 1.0000 - - 0..0::0 -
    #=SQ GLBD_CHITH 1.0000 - - 0..0::0 -
    #=SQ GLBE_CHITH 1.0000 - - 0..0::0 -
    #=SQ GLBF_CHITH 1.0000 - - 0..0::0 -
    #=SQ GLBH_CHITH 1.0000 - - 0..0::0 -
    #=SQ GLBI_CHITP 1.0000 - - 0..0::0 -
    #=SQ GLBM_ANATR 1.0000 - - 0..0::0 -

      [Part of this file has been deleted for brevity]

    MYG_GALJA   ...................
    MYG_GLOME   ...................
    MYG_GORBE   ...................
    MYG_GRAGE   ...................
    MYG_HALGR   ...................
    MYG_HETPO   ...................
    MYG_HORSE   ...................
    MYG_HUMAN   ...................
    MYG_HYLAG   ...................
    MYG_INIGE   ...................
    MYG_KOGSI   ...................
    MYG_LAGLA   ...................
    MYG_LAGMA   ...................
    MYG_LEPMU   ...................
    MYG_LOXAF   ...................
    MYG_LUTLU   ...................
    MYG_LYCPI   ...................
    MYG_MACFA   ...................
    MYG_MACRU   ...................
    MYG_MEGNO   ...................
    MYG_MELME   ...................
    MYG_MESCA   ...................
    MYG_MOUSE   ...................
    MYG_MUSAN   ...................
    MYG_NYCCO   ...................
    MYG_OCHPR   ...................
    MYG_ORCOR   ...................
    MYG_ORNAN   ...................
    MYG_ORYAF   ...................
    MYG_PANTR   ...................
    MYG_PAPAN   ...................
    MYG_PERPO   ...................
    MYG_PHOPH   ...................
    MYG_PHYCA   ...................
    MYG_PIG     ...................
    MYG_PONPY   ...................
    MYG_PROGU   ...................
    MYG_RABIT   ...................
    MYG_ROUAE   ...................
    MYG_SAISC   ...................
    MYG_SHEEP   ...................
    MYG_SPAEH   ...................
    MYG_TACAC   ...................
    MYG_THUAL   ...................
    MYG_TUPGL   ...................
    MYG_TURTR   ...................
    MYG_VARVA   ...................
    MYG_VULCH   ...................
    MYG_ZALCA   ...................
    MYG_ZIPCA   ...................

## Data files

**************** EDIT HERE ****************

## Notes

None.

## References

None.

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

It always exits with status 0.

## Known bugs

None.

## See also

Program name | Description
--- | ---
ealistat | Statistics for multiple alignment files
ehmmbuild | Build HMM
ehmmcalibrate | Calibrate a hidden Markov model
ehmmconvert | Convert between HMM formats
ehmmemit | Extract HMM sequences
ehmmfetch | Extract HMM from a database
ehmmindex | Index an HMM database
ehmmpfam | Align single sequence with an HMM
ehmmsearch | Search sequence database with an HMM

## Author(s)

This program is an EMBOSS conversion of a program written by Sean Eddy as part of his HMMER package.

Although we take every care to ensure that the results of the EMBOSS version are identical to those from the original package, we recommend that you check your inputs give the same results in both versions before publication.

Please report all bugs in the EMBOSS version to the EMBOSS bug team, not to the original author.

## History

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.